package gregapi;

import static gregapi.data.CS.*;
import gregapi.api.Abstract_Proxy;
import gregapi.block.IBlockPlacable;
import gregapi.block.IBlockToolable;
import gregapi.block.multitileentity.MultiTileEntityItemInternal;
import gregapi.code.ArrayListNoNulls;
import gregapi.code.HashSetNoNulls;
import gregapi.code.ItemStackContainer;
import gregapi.data.*;
import gregapi.data.CS.BlocksGT;
import gregapi.item.*;
import gregapi.item.IItemProjectile.EntityProjectile;
import gregapi.log.GT_Log;
import gregapi.network.packets.PacketConfig;
import gregapi.network.packets.PacketPrefix;
import gregapi.oredict.IOreDictListenerItem;
import gregapi.oredict.OreDictItemData;
import gregapi.oredict.OreDictMaterialStack;
import gregapi.oredict.OreDictPrefix;
import gregapi.recipes.GT_ModHandler;
import gregapi.tileentity.ITileEntityGUI;
import gregapi.tileentity.ITileEntitySynchronising;
import gregapi.util.OM;
import gregapi.util.UT;

import java.util.ConcurrentModificationException;
import java.util.List;

import net.minecraft.block.BlockJukebox.TileEntityJukebox;
import net.minecraft.block.material.Material;
import net.minecraft.enchantment.Enchantment;
import net.minecraft.enchantment.EnchantmentHelper;
import net.minecraft.entity.item.EntityItem;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.init.Items;
import net.minecraft.item.ItemBow;
import net.minecraft.item.ItemStack;
import net.minecraft.nbt.NBTTagCompound;
import net.minecraft.stats.AchievementList;
import net.minecraft.tileentity.TileEntity;
import net.minecraft.world.World;
import net.minecraft.world.WorldSettings;
import net.minecraft.world.chunk.Chunk;
import net.minecraftforge.common.MinecraftForge;
import net.minecraftforge.event.ForgeEventFactory;
import net.minecraftforge.event.entity.EntityJoinWorldEvent;
import net.minecraftforge.event.entity.item.ItemExpireEvent;
import net.minecraftforge.event.entity.player.*;
import net.minecraftforge.event.world.BlockEvent;
import net.minecraftforge.event.world.ChunkWatchEvent;
import cpw.mods.fml.common.FMLCommonHandler;
import cpw.mods.fml.common.IFuelHandler;
import cpw.mods.fml.common.eventhandler.SubscribeEvent;
import cpw.mods.fml.common.gameevent.TickEvent.Phase;
import cpw.mods.fml.common.gameevent.TickEvent.PlayerTickEvent;
import cpw.mods.fml.common.gameevent.TickEvent.WorldTickEvent;
import cpw.mods.fml.common.network.IGuiHandler;
import cpw.mods.fml.common.registry.GameRegistry;

/**
 * @author Gregorius Techneticies
 */
public abstract class GT_API_Proxy extends Abstract_Proxy implements IGuiHandler, IFuelHandler {
	public GT_API_Proxy() {
		GameRegistry.registerFuelHandler(this);
		MinecraftForge.EVENT_BUS.register(this);
		FMLCommonHandler.instance().bus().register(this);
	}
	
	public EntityPlayer getThePlayer() {
		return null;
	}
	
    @Override
	public Object getServerGuiElement(int aGUIID, EntityPlayer aPlayer, World aWorld, int aX, int aY, int aZ) {
    	TileEntity tTileEntity = UT.Worlds.getTileEntity(aWorld, aX, aY, aZ, T);
    	return tTileEntity instanceof ITileEntityGUI ? ((ITileEntityGUI)tTileEntity).getGUIServer(aGUIID, aPlayer) : null;
    }
    
    @Override
	public Object getClientGuiElement(int aGUIID, EntityPlayer aPlayer, World aWorld, int aX, int aY, int aZ) {
    	TileEntity tTileEntity = UT.Worlds.getTileEntity(aWorld, aX, aY, aZ, T);
    	return tTileEntity instanceof ITileEntityGUI ? ((ITileEntityGUI)tTileEntity).getGUIClient(aGUIID, aPlayer) : null;
    }
    
	@SubscribeEvent
	public void onWorldTick(WorldTickEvent aEvent) {
		if (!aEvent.world.isRemote) for (int i = 0; i < aEvent.world.loadedEntityList.size(); i++) {
			Object aEntity = aEvent.world.loadedEntityList.get(i);
			if (aEntity instanceof EntityItem && !((EntityItem)aEntity).isDead) {
				boolean tBreak = F;
				ItemStack aStack = ((EntityItem)aEntity).getEntityItem(), rStack = UT.Stacks.copy(aStack);
				OreDictItemData aData = OM.anydata(rStack);
				if (aData != null) {
					if (aData.mPrefix != null) for (IOreDictListenerItem tListener : aData.mPrefix.mListenersItem) {
						rStack = tListener.onTickWorld(aData.mPrefix, aData.mMaterial.mMaterial, rStack, (EntityItem)aEntity);
						if (!UT.Stacks.equal(rStack, aStack) || rStack.stackSize != aStack.stackSize) {tBreak = T; break;}
					}
					if (!tBreak && aData.mMaterial != null) for (OreDictMaterialStack tMaterial : aData.getAllMaterialStacks()) {
						if (tBreak) break;
						for (IOreDictListenerItem tListener : tMaterial.mMaterial.mListenersItem) {
							rStack = tListener.onTickWorld(aData.mPrefix, tMaterial.mMaterial, rStack, (EntityItem)aEntity);
							if (!UT.Stacks.equal(rStack, aStack) || rStack.stackSize != aStack.stackSize) {tBreak = T; break;}
						}
					}
					if (rStack == null || rStack.stackSize <= 0) {
						((EntityItem)aEntity).setEntityItemStack(NI);
						((EntityItem)aEntity).setDead();
					} else {
						((EntityItem)aEntity).setEntityItemStack(rStack);
					}
				}
			}
		}
	}
	
	@SubscribeEvent
	public void onPlayerItemPickupEvent(cpw.mods.fml.common.gameevent.PlayerEvent.ItemPickupEvent aEvent) {
		ItemStack aStack = aEvent.pickedUp.getEntityItem();
		if (UT.Stacks.valid(aStack) && aEvent.player != null) {
			OreDictItemData tData = OM.association_(aStack);
			if (tData == null) {
				if (OM.is_("logWood", aStack)) {
					aEvent.player.triggerAchievement(AchievementList.openInventory);
					aEvent.player.triggerAchievement(AchievementList.mineWood);
				}
				if (aStack.getItem() == Items.cooked_fished) {
					aEvent.player.triggerAchievement(AchievementList.openInventory);
					aEvent.player.triggerAchievement(AchievementList.mineWood);
					aEvent.player.triggerAchievement(AchievementList.buildWorkBench);
					aEvent.player.triggerAchievement(AchievementList.buildPickaxe);
					aEvent.player.triggerAchievement(AchievementList.buildFurnace);
					aEvent.player.triggerAchievement(AchievementList.cookFish);
				}
			} else {
				if (tData.mMaterial.mMaterial == MT.Diamond && tData.mPrefix.contains(TD.Prefix.GEM_BASED)) {
					aEvent.player.triggerAchievement(AchievementList.openInventory);
					aEvent.player.triggerAchievement(AchievementList.mineWood);
					aEvent.player.triggerAchievement(AchievementList.buildWorkBench);
					aEvent.player.triggerAchievement(AchievementList.buildPickaxe);
					aEvent.player.triggerAchievement(AchievementList.buildFurnace);
					aEvent.player.triggerAchievement(AchievementList.acquireIron);
					aEvent.player.triggerAchievement(AchievementList.diamonds);
				}
			}
		}
	}
	
	@SubscribeEvent
	public void onPlayerTickEventServer(PlayerTickEvent aEvent) {
    	if (!aEvent.player.isDead && aEvent.phase == Phase.END && aEvent.side.isServer()) {
    		if (SURVIVAL_INTO_ADVENTURE_MODE && aEvent.player.ticksExisted%200==0 && aEvent.player.capabilities.allowEdit && !UT.Entities.isCreative(aEvent.player)) {
        		aEvent.player.setGameType(WorldSettings.GameType.ADVENTURE);
    			aEvent.player.capabilities.allowEdit = F;
    			if (ADVENTURE_MODE_AXE) {
            		UT.Entities.chat(aEvent.player, "It's dangerous to go alone! Take this.");
    				aEvent.player.worldObj.spawnEntityInWorld(new EntityItem(aEvent.player.worldObj, aEvent.player.posX, aEvent.player.posY, aEvent.player.posZ, CS.ToolsGT.sMetaTool==null?UT.Stacks.make(Items.stone_axe, 1, 0):CS.ToolsGT.sMetaTool.getToolWithStats(CS.ToolsGT.AXE, 1, MT.Flint, MT.Wood, null)));
    			}
    		}
    		boolean tHungerEffect = (HUNGER_BY_INVENTORY_WEIGT && aEvent.player.ticksExisted % 2400 == 1200);
    		if (aEvent.player.ticksExisted%120 == 0) {
        		ItemStack tStack;
        		int tCount = 64;
	    		for (int i = 0; i < 36; i++) {
	        		if ((tStack = aEvent.player.inventory.getStackInSlot(i)) != null) {
	        			if (!UT.Entities.isInvincible(aEvent.player)) {
	        				UT.Entities.applyRadioactivity(aEvent.player, UT.Entities.getRadioactivityLevel(tStack), tStack.stackSize);
	        				float tHeat = UT.Entities.getHeatDamageFromItem(tStack);
	        				if (tHeat != 0.0F) if (tHeat > 0) UT.Entities.applyHeatDamage(aEvent.player, tHeat); else UT.Entities.applyFrostDamage(aEvent.player, -tHeat);
	        			}
	        			if (tHungerEffect) tCount+=(tStack.stackSize * 64) / Math.max(1, tStack.getMaxStackSize());
	        			if (INVENTORY_UNIFICATION) OM.set_(tStack);
        				UT.Stacks.update(tStack);
	        		}
	    		}
	        	for (int i = 0; i < 4; i++) if ((tStack = aEvent.player.inventory.armorInventory[i]) != null) {
	        		if (!UT.Entities.isInvincible(aEvent.player)) {
	        			UT.Entities.applyRadioactivity(aEvent.player, UT.Entities.getRadioactivityLevel(tStack), tStack.stackSize);
        				float tHeat = UT.Entities.getHeatDamageFromItem(tStack);
        				if (tHeat != 0.0F) if (tHeat > 0) UT.Entities.applyHeatDamage(aEvent.player, tHeat); else UT.Entities.applyFrostDamage(aEvent.player, -tHeat);
	        		}
        			if (tHungerEffect) tCount+=256;
	        	}
	        	if (tHungerEffect) aEvent.player.addExhaustion(Math.max(1.0F, tCount/666.6F));
    		}
    	}
	}
	
	@SubscribeEvent
	public void onChunkWatchEvent(ChunkWatchEvent.Watch aEvent) {
		Chunk tChunk = aEvent.player.worldObj.getChunkFromChunkCoords(aEvent.chunk.chunkXPos, aEvent.chunk.chunkZPos);
		if (tChunk != null && tChunk.isTerrainPopulated) {
			byte tIterates = 8;
			HashSetNoNulls<Object> tSet = new HashSetNoNulls<Object>();
			while (tIterates-->0) try {
				for (Object tTileEntity : tChunk.chunkTileEntityMap.values()) if (tTileEntity instanceof ITileEntitySynchronising) if (tSet.add(tTileEntity)) ((ITileEntitySynchronising)tTileEntity).sendUpdateToPlayer(aEvent.player);
				tIterates = 0;
			} catch(ConcurrentModificationException e) {
				if (tIterates <= 0) GT_Log.err.println("Failed to Iterate 8 times. Giving up!");
			}
		}
	}
	
	@SubscribeEvent
	public void onPlayerDestroyItem(PlayerDestroyItemEvent aEvent) {
		if (!UT.Entities.isPlayer(aEvent.entityPlayer) || aEvent.original == null || UT.Entities.hasInfiniteItems(aEvent.entityPlayer)) return;
		if (aEvent.entityPlayer.inventory.getStackInSlot(aEvent.entityPlayer.inventory.currentItem) == null || aEvent.entityPlayer.inventory.getStackInSlot(aEvent.entityPlayer.inventory.currentItem).stackSize == 0) {
			if (UT.Stacks.equal(aEvent.original, aEvent.entityPlayer.inventory.getStackInSlot(aEvent.entityPlayer.inventory.currentItem+27))) {
			if (UT.Stacks.equal(aEvent.original, aEvent.entityPlayer.inventory.getStackInSlot(aEvent.entityPlayer.inventory.currentItem+18))) {
			if (UT.Stacks.equal(aEvent.original, aEvent.entityPlayer.inventory.getStackInSlot(aEvent.entityPlayer.inventory.currentItem+ 9))) {
			aEvent.entityPlayer.inventory.setInventorySlotContents(aEvent.entityPlayer.inventory.currentItem, aEvent.entityPlayer.inventory.getStackInSlot(aEvent.entityPlayer.inventory.currentItem+ 9));
			aEvent.entityPlayer.inventory.setInventorySlotContents(aEvent.entityPlayer.inventory.currentItem+ 9, null);
			if (aEvent.entityPlayer.openContainer != null) aEvent.entityPlayer.openContainer.detectAndSendChanges();
			return;
			}
			aEvent.entityPlayer.inventory.setInventorySlotContents(aEvent.entityPlayer.inventory.currentItem, aEvent.entityPlayer.inventory.getStackInSlot(aEvent.entityPlayer.inventory.currentItem+18));
			aEvent.entityPlayer.inventory.setInventorySlotContents(aEvent.entityPlayer.inventory.currentItem+18, null);
			if (aEvent.entityPlayer.openContainer != null) aEvent.entityPlayer.openContainer.detectAndSendChanges();
			return;
			}
			aEvent.entityPlayer.inventory.setInventorySlotContents(aEvent.entityPlayer.inventory.currentItem, aEvent.entityPlayer.inventory.getStackInSlot(aEvent.entityPlayer.inventory.currentItem+27));
			aEvent.entityPlayer.inventory.setInventorySlotContents(aEvent.entityPlayer.inventory.currentItem+27, null);
			if (aEvent.entityPlayer.openContainer != null) aEvent.entityPlayer.openContainer.detectAndSendChanges();
			return;
			}
		}
	}
	
	@SubscribeEvent
	public void onPlayerInteraction(PlayerInteractEvent aEvent) {
		if (aEvent.entityPlayer == null || aEvent.entityPlayer.worldObj == null || aEvent.action == null || aEvent.world.provider == null || aEvent.action == null) return;
		
		if (aEvent.action == PlayerInteractEvent.Action.RIGHT_CLICK_BLOCK) {
			TileEntity tTileEntity = aEvent.world.getTileEntity(aEvent.x, aEvent.y, aEvent.z);
			if (tTileEntity instanceof TileEntityJukebox) {
				ItemStack tStack = ((TileEntityJukebox)tTileEntity).func_145856_a();
				if (tStack != null) tStack.stackSize = 1;
				return;
			}
			ItemStack aStack = aEvent.entityPlayer.getHeldItem();
			if (aStack != null && !(aStack.getItem() instanceof IItemNoGTOverride)) {
				if (IL.RC_Crowbar_Iron.equal(aStack, T, T) || IL.RC_Crowbar_Steel.equal(aStack, T, T) || IL.RC_Crowbar_Thaumium.equal(aStack, T, T) || IL.RC_Crowbar_Voidmetal.equal(aStack, T, T)) {
					List<String> tChatReturn = new ArrayListNoNulls<String>();
					long tDamage = IBlockToolable.Util.onToolClick(TOOL_crowbar, Long.MAX_VALUE, 2, aEvent.entityPlayer, tChatReturn, aEvent.entityPlayer.inventory, aEvent.entityPlayer.isSneaking(), aStack, aEvent.entityPlayer.worldObj, (byte)aEvent.face, aEvent.x, aEvent.y, aEvent.z, 0.5F, 0.5F, 0.5F);
					UT.Entities.chat(aEvent.entityPlayer, tChatReturn);
					if (tDamage > 0) {
						aStack.damageItem((int)UT.Code.units(tDamage, 10000, 1, T), aEvent.entityPlayer);
						if (aStack.getItemDamage() >= aStack.getMaxDamage()) aStack.stackSize--;
						if (aStack.stackSize <= 0) ForgeEventFactory.onPlayerDestroyItem(aEvent.entityPlayer, aStack);
						aEvent.setCanceled(T);
						return;
					}
				}
			}
		}
	}
	
	@SubscribeEvent
	public void onBlockBreakSpeedEvent(PlayerEvent.BreakSpeed aEvent) {
		if (aEvent.newSpeed > 0) {
			if (aEvent.entityPlayer != null) {
				ItemStack aStack = aEvent.entityPlayer.getCurrentEquippedItem();
				if (aStack != null && aStack.getItem() instanceof MultiItemTool) aEvent.newSpeed = ((MultiItemTool)aStack.getItem()).onBlockBreakSpeedEvent(aEvent.newSpeed, aStack, aEvent.entityPlayer, aEvent.block, aEvent.x, aEvent.y, aEvent.z, (byte)aEvent.metadata, aEvent);
			}
			
			ItemStackContainer tBlock = new ItemStackContainer(aEvent.block, 1, aEvent.metadata);
			
			     if (BlocksGT.stoneToBrokenOres.containsKey(tBlock) || BlocksGT.stoneToNormalOres.containsKey(tBlock) || BlocksGT.stoneToSmallOres.containsKey(tBlock)) {if (aEvent.block.getMaterial() == Material.sand || aEvent.block.getMaterial() == Material.clay || aEvent.block.getMaterial() == Material.grass || aEvent.block.getMaterial() == Material.ground) aEvent.newSpeed /= HARDNESS_MULTIPLIER_SAND; else aEvent.newSpeed /= HARDNESS_MULTIPLIER_ROCK;}
			else if (aEvent.block instanceof IBlockPlacable) {if (BlocksGT.stoneToBrokenOres.containsValue(aEvent.block) || BlocksGT.stoneToNormalOres.containsValue(aEvent.block) || BlocksGT.stoneToSmallOres.containsValue(aEvent.block)) aEvent.newSpeed /= HARDNESS_MULTIPLIER_ORES;}
			else if (OM.prefixcontains(UT.Stacks.make(aEvent.block, 1, aEvent.metadata), TD.Prefix.ORE)) aEvent.newSpeed /= HARDNESS_MULTIPLIER_ORES;
		}
	}
	
	@SubscribeEvent
	public void onBlockHarvestingEvent(BlockEvent.HarvestDropsEvent aEvent) {
		if (aEvent.harvester != null) {
			ItemStack aStack = aEvent.harvester.getCurrentEquippedItem();
			if (aStack != null) {
				if (aStack.getItem() instanceof MultiItemTool) {
					((MultiItemTool)aStack.getItem()).onHarvestBlockEvent(aEvent.drops, aStack, aEvent.harvester, aEvent.block, aEvent.x, aEvent.y, aEvent.z, (byte)aEvent.blockMetadata, aEvent.fortuneLevel, aEvent.isSilkTouching, aEvent);
				}
				if (EnchantmentHelper.getEnchantmentLevel(Enchantment.fireAspect.effectId, aStack) > 2) {
					for (ItemStack tDrop : aEvent.drops) {
						ItemStack tSmeltingOutput = GT_ModHandler.getSmeltingOutput(tDrop, F, null);
						if (tSmeltingOutput != null) {
							tDrop.stackSize *= tSmeltingOutput.stackSize;
							tSmeltingOutput.stackSize = tDrop.stackSize;
							UT.Stacks.set(tDrop, tSmeltingOutput);
						}
					}
				}
			}
			UT.Inventories.removeNullStacksFromInventory(aEvent.harvester.inventory);
		}
	}
	
	@SubscribeEvent
	public void onLoginEvent(cpw.mods.fml.common.gameevent.PlayerEvent.PlayerLoggedInEvent aEvent) {
		if (aEvent.player.worldObj.isRemote) return;
		NW_API.sendToPlayer(new PacketConfig(), (EntityPlayerMP)aEvent.player);
		for (OreDictPrefix tPrefix : OreDictPrefix.VALUES) if (!tPrefix.contains(TD.Prefix.PREFIX_UNUSED)) NW_API.sendToPlayer(new PacketPrefix(tPrefix), (EntityPlayerMP)aEvent.player);
	}
	
	@SubscribeEvent
	public void onItemExpireEvent(ItemExpireEvent aEvent) {
		ItemStack aStack = aEvent.entityItem.getEntityItem();
		if (aStack != null && aStack.getItem() instanceof MultiTileEntityItemInternal) {
			int tExtraLife = ((MultiTileEntityItemInternal)aStack.getItem()).onDespawn(aEvent.entityItem, aStack);
			
			if (aStack.stackSize <= 0) {aEvent.entityItem.setDead(); return;}
			
			aEvent.entityItem.setEntityItemStack(aStack);
			
			if (tExtraLife > 0) {
				aEvent.extraLife += tExtraLife;
				aEvent.setCanceled(T);
			}
		}
	}
	
	@SubscribeEvent
	public void onEntitySpawningEvent(EntityJoinWorldEvent aEvent) {
		if (aEvent.entity != null && !aEvent.entity.worldObj.isRemote) {
			if (aEvent.entity instanceof EntityItem) {
				((EntityItem)aEvent.entity).setEntityItemStack(UT.Stacks.update(OM.get(((EntityItem)aEvent.entity).getEntityItem())));
			}
		}
	}
	
	@SubscribeEvent
	public void onArrowNockEvent(ArrowNockEvent aEvent) {
		if (!aEvent.isCanceled() && UT.Stacks.valid(aEvent.result) && UT.Inventories.getProjectile(TD.Projectiles.ARROW, aEvent.entityPlayer.inventory) != null) {
			aEvent.entityPlayer.setItemInUse(aEvent.result, aEvent.result.getItem().getMaxItemUseDuration(aEvent.result));
            aEvent.setCanceled(T);
		}
	}
	
	@SubscribeEvent
	public void onArrowLooseEvent(ArrowLooseEvent aEvent) {
        ItemStack aArrow = UT.Inventories.getProjectile(TD.Projectiles.ARROW, aEvent.entityPlayer.inventory);
		if (!aEvent.isCanceled() && UT.Stacks.valid(aEvent.bow) && aArrow != null && aEvent.bow.getItem() instanceof ItemBow) {
            float tSpeed = aEvent.charge / 20.0F;
            tSpeed = (tSpeed * tSpeed + tSpeed * 2.0F) / 3.0F;
            
            if (tSpeed < 0.1) return;
            if (tSpeed > 1.0) tSpeed = 1.0F;
            
            EntityProjectile tArrowEntity = ((IItemProjectile)aArrow.getItem()).getProjectile(TD.Projectiles.ARROW, aArrow, aEvent.entityPlayer.worldObj, aEvent.entityPlayer, tSpeed * 2.0F);
            
            if (tSpeed >= 1.0F) tArrowEntity.setIsCritical(T);
            
            int
            tLevel = EnchantmentHelper.getEnchantmentLevel(Enchantment.power.effectId, aEvent.bow);
            if (tLevel > 0) tArrowEntity.setDamage(tArrowEntity.getDamage() + tLevel * 0.5D + 0.5D);
            tLevel = EnchantmentHelper.getEnchantmentLevel(Enchantment.punch.effectId, aEvent.bow);
            if (tLevel > 0) tArrowEntity.setKnockbackStrength(tLevel);
            tLevel = EnchantmentHelper.getEnchantmentLevel(Enchantment.flame.effectId, aEvent.bow);
            if (tLevel > 0) tArrowEntity.setFire(tLevel * 100);
            
            aEvent.bow.damageItem(1, aEvent.entityPlayer);
            aEvent.bow.getItem();
			aEvent.entityPlayer.worldObj.playSoundAtEntity(aEvent.entityPlayer, "random.bow", 1.0F, 1.0F / (RANDOM.nextFloat() * 0.4F + 1.2F) + tSpeed * 0.5F);
            
            tArrowEntity.canBePickedUp = 1;
            
            if (!UT.Entities.hasInfiniteItems(aEvent.entityPlayer)) aArrow.stackSize--;
            if (aArrow.stackSize == 0) UT.Inventories.removeNullStacksFromInventory(aEvent.entityPlayer.inventory);
            
            if (!aEvent.entityPlayer.worldObj.isRemote) aEvent.entityPlayer.worldObj.spawnEntityInWorld(tArrowEntity);
            
            aEvent.setCanceled(T);
        }
	}
	
	@Override
	public int getBurnTime(ItemStack aFuel) {
		if (UT.Stacks.invalid(aFuel)) return 0;
		long rFuelValue = 0;
		if (aFuel.getItem() instanceof MultiItemRandom) {
			Short tFuelValue = ((MultiItemRandom)aFuel.getItem()).mBurnValues.get(UT.Stacks.meta(aFuel));
			if (tFuelValue != null) rFuelValue = (short)Math.max(rFuelValue, tFuelValue);
		}
		NBTTagCompound tNBT = aFuel.getTagCompound();
		if (tNBT != null) {
			short tValue = tNBT.getShort(NBT_FUEL_VALUE);
			rFuelValue = Math.max(rFuelValue, tValue);
		}
		OreDictItemData tData = OM.anydata_(aFuel);
		if (tData != null && (tData.mPrefix == null || tData.mPrefix.contains(TD.Prefix.BURNABLE))) {
			long tBurnTime = 0;
			for (OreDictMaterialStack tMaterial : tData.getAllMaterialStacks()) tBurnTime += UT.Code.units(tMaterial.mMaterial.mFurnaceBurnTime, U, tMaterial.mAmount, F);
			rFuelValue = Math.max(rFuelValue, tBurnTime);
		}
		return (int)Math.min(Short.MAX_VALUE, rFuelValue);
	}
}