package gregapi.load;

import static gregapi.data.CS.U;
import gregapi.data.CS.ModIDs;
import gregapi.data.MT;
import gregapi.data.OP;
import gregapi.oredict.OreDictItemData;
import gregapi.oredict.OreDictManager;
import gregapi.util.OM;

/**
 * @author Gregorius Techneticies
 * 
 * Loads the Re-Registrations for several OreDictNames.
 * This happens during the PreInitPhase.
 */
public class LoaderOreDictReRegistrations implements Runnable {
	@Override
	public void run() {
		OreDictManager.INSTANCE.addAutoBlackListing("shardNether");
		OreDictManager.INSTANCE.addAutoBlackListing("gemFluorite");
		OreDictManager.INSTANCE.addAutoBlackListing("gemCoal");
		OreDictManager.INSTANCE.addAutoBlackListing("gemCharcoal");
		OreDictManager.INSTANCE.addAutoBlackListing("gemDiamond");
		OreDictManager.INSTANCE.addAutoBlackListing("gemEmerald");
		OreDictManager.INSTANCE.addAutoBlackListing("gemLapis");
		OreDictManager.INSTANCE.addAutoBlackListing("gemEnderEye");
		OreDictManager.INSTANCE.addAutoBlackListing("gemEnderPearl");
		OreDictManager.INSTANCE.addAutoBlackListing("gemNetherQuartz");
		OreDictManager.INSTANCE.addAutoBlackListing("gemNetherStar");
		OreDictManager.INSTANCE.addAutoBlackListing("ingotIron");
		OreDictManager.INSTANCE.addAutoBlackListing("ingotGold");
		OreDictManager.INSTANCE.addAutoBlackListing("nuggetGold");
		OreDictManager.INSTANCE.addAutoBlackListing("stickWood");
		OreDictManager.INSTANCE.addAutoBlackListing("stickBlaze");
		OreDictManager.INSTANCE.addAutoBlackListing("dustBone");
		OreDictManager.INSTANCE.addAutoBlackListing("dustSugar");
		OreDictManager.INSTANCE.addAutoBlackListing("dustBlaze");
		OreDictManager.INSTANCE.addAutoBlackListing("dustRedstone");
		OreDictManager.INSTANCE.addAutoBlackListing("dustGlowstone");
		OreDictManager.INSTANCE.addAutoBlackListing("dustGunpowder");
		OreDictManager.INSTANCE.addAutoBlackListing("bottleEmpty");
		OreDictManager.INSTANCE.addAutoBlackListing("bottleWater");
		OreDictManager.INSTANCE.addAutoBlackListing("bucketEmpty");
		OreDictManager.INSTANCE.addAutoBlackListing("bucketWater");
		OreDictManager.INSTANCE.addAutoBlackListing("bucketLava");
		OreDictManager.INSTANCE.addAutoBlackListing("bucketMilk");
		
		OreDictManager.INSTANCE.addAutoBlackListingForMod(ModIDs.TFC);
		
		OreDictManager.INSTANCE.addReRegistrationWithReversal("itemCopperWire"			, "wireCopper");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("itemCopperWire"			, "craftingWireCopper");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("wireCopper"				, "craftingWireCopper");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("itemFertilizer"			, "itemFertiliser");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("itemFertilizer"			, "fertiliser");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("itemFertilizer"			, "fertilizer");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("itemRubber"				, "ingotRubber");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("stone"					, "stoneSmooth");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("cobblestone"				, "stoneCobble");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("sheetPlastic"			, "platePlastic");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("sheetRubber"				, "plateRubber");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("shardAir"				, "gemInfusedAir");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("shardWater"				, "gemInfusedWater");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("shardFire"				, "gemInfusedFire");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("shardEarth"				, "gemInfusedEarth");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("shardOrder"				, "gemInfusedOrder");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("shardEntropy"			, "gemInfusedEntropy");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("fieryIngot"				, "ingotFierySteel");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("ironwood"				, "ingotIronWood");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("steeleaf"				, "ingotSteeleaf");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("knightmetal"				, "ingotKnightmetal");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("brickPeat"				, "ingotPeat");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("woodRubber"				, "logRubber");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("pulpWood"				, "dustWood");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("dustWaxBee"				, "itemBeeswax");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("dustWheat"				, "flour");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("wheat"					, "cropWheat");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("itemWheat"				, "cropWheat");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("foodGrape"				, "foodGrapes");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("foodGrape"				, "cropGrape");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("foodGrape"				, "cropGrapes");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("foodRice"				, "dustRice");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("foodSilkentofu"			, "dustTofu");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("foodFirmtofu"			, "ingotTofu");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("foodChocolatebar"		, "ingotChocolate");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("foodCocoapowder"			, "dustCocoa");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("foodGroundcinnamon"		, "dustCinnamon");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("foodGroundCinnamon"		, "dustCinnamon");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("foodGroundnutmeg"		, "dustNutmeg");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("foodGroundNutmeg"		, "dustNutmeg");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("foodLemonaide"			, "foodLemonade");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("cropPineapple"			, "cropAnanas");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("foodPineapplejuice"		, "foodAnanasjuice");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("cropCoffeebeans"			, "cropCoffee");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("cropCoffeeBeans"			, "cropCoffee");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("cropCocoabeans"			, "cropCocoa");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("cropCocoaBeans"			, "cropCocoa");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("crystalCertusQuartz"		, "gemCertusQuartz");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("crystalNetherQuartz"		, "gemNetherQuartz");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("crystalFluix"			, "gemFluix");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("plateLapis"				, "plateGemLapis");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("stoneAndesitePolished"	, "stonePolishedAndesite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("stoneAndesiteChiseled"	, "stoneChiseledAndesite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("stoneAndesiteBricks"		, "stoneBricksAndesite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("stoneDioriteBricks"		, "stoneBricksDiorite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("stoneDioritePolished"	, "stonePolishedDiorite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("stoneDioriteChiseled"	, "stoneChiseledDiorite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("stoneBasaltChiseled"		, "stoneChiseledBasalt");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("stoneBasaltBricks"		, "stoneBricksBasalt");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("stoneBasaltPolished"		, "stonePolishedBasalt");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("stoneGraniteChiseled"	, "stoneChiseledGranite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("stoneGranitePolished"	, "stonePolishedGranite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("stoneGraniteBricks"		, "stoneBricksGranite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("marble"					, "stoneMarble");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("basalt"					, "stoneBasalt");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("concrete"				, "stoneConcrete");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("netherrack"				, "stoneNetherrack");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("limestone"				, "stoneLimestone");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockLimestone"			, "stoneLimestone");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockMarble"				, "stoneMarble");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockBasalt"				, "stoneBasalt");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockRedstone"			, "blockDustRedstone");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockNikolite"			, "blockDustNikolite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockTeslatite"			, "blockDustTeslatite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockDiamond"			, "blockGemDiamond");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockEmerald"			, "blockGemEmerald");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockLapis"				, "blockGemLapis");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockCoal"				, "blockGemCoal");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockRuby"				, "blockGemRuby");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockFoolsRuby"			, "blockGemFoolsRuby");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockSapphire"			, "blockGemSapphire");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockGreenSapphire"		, "blockGemGreenSapphire");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockOlivine"			, "blockGemOlivine");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockPeridot"			, "blockGemPeridot");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockTanzanite"			, "blockGemTanzanite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockTopaz"				, "blockGemTopaz");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockBlueTopaz"			, "blockGemBlueTopaz");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockAmethyst"			, "blockGemAmethyst");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockOpal"				, "blockGemOpal");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockGarnet"				, "blockGemGarnet");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockGarnetRed"			, "blockGemGarnetRed");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockGarnetYellow"		, "blockGemGarnetYellow");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockJade"				, "blockGemJade");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockJasper"				, "blockGemJasper");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockApatite"			, "blockGemApatite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockIron"				, "blockIngotIron");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockSteel"				, "blockIngotSteel");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockBronze"				, "blockIngotBronze");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockCopper"				, "blockIngotCopper");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockTin"				, "blockIngotTin");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockLead"				, "blockIngotLead");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockThorium"			, "blockIngotThorium");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockUranium"			, "blockIngotUranium");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockPlutonium"			, "blockIngotPlutonium");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockSilver"				, "blockIngotSilver");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockGold"				, "blockIngotGold");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockPlatinum"			, "blockIngotPlatinum");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockAnyIron"			, "blockIngotAnyIron");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockAnyIronSteel"		, "blockIngotAnyIronSteel");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockAnySteel"			, "blockIngotAnySteel");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockAnyCopper"			, "blockIngotAnyCopper");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockAnyBronze"			, "blockIngotAnyBronze");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockAlduorite"			, "blockIngotAlduorite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockInfuscolium"		, "blockIngotInfuscolium");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockRubracium"			, "blockIngotRubracium");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockMeutoite"			, "blockIngotMeutoite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockLemurite"			, "blockIngotLemurite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockCeruclase"			, "blockIngotCeruclase");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockAtlarus"			, "blockIngotAtlarus");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockOureclase"			, "blockIngotOureclase");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockKalendrite"			, "blockIngotKalendrite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockOrichalcum"			, "blockIngotOrichalcum");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockCarmot"				, "blockIngotCarmot");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockSanguinite"			, "blockIngotSanguinite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockVyroxeres"			, "blockIngotVyroxeres");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockEximite"			, "blockIngotEximite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockPrometheum"			, "blockIngotPrometheum");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockIgnatius"			, "blockIngotIgnatius");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockVulcanite"			, "blockIngotVulcanite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockShadowIron"			, "blockIngotShadowIron");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockAstralSilver"		, "blockIngotAstralSilver");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockMidasium"			, "blockIngotMidasium");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockMithril"			, "blockIngotMithril");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockShadowSteel"		, "blockIngotShadowSteel");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockInolashite"			, "blockIngotInolashite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockHaderoth"			, "blockIngotHaderoth");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockCelenegil"			, "blockIngotCelenegil");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockDesichalkos"		, "blockIngotDesichalkos");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockTartarite"			, "blockIngotTartarite");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockAmordrine"			, "blockIngotAmordrine");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockAngmallen"			, "blockIngotAngmallen");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockHepatizon"			, "blockIngotHepatizon");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockBlackSteel"			, "blockIngotBlackSteel");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockRedSteel"			, "blockIngotRedSteel");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockBlueSteel"			, "blockIngotBlueSteel");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockDamascusSteel"		, "blockIngotDamascusSteel");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockDeepIron"			, "blockIngotDeepIron");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockSignalum"			, "blockIngotSignalum");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockLumium"				, "blockIngotLumium");
		OreDictManager.INSTANCE.addReRegistrationWithReversal("blockEnderium"			, "blockIngotEnderium");
		
		OreDictManager.INSTANCE.addReRegistration("slimeRod"				, "stickSlime");
		OreDictManager.INSTANCE.addReRegistration("blueslimeRod"			, "stickBlueslime");
		OreDictManager.INSTANCE.addReRegistration("boneRod"					, "stickBone");
		OreDictManager.INSTANCE.addReRegistration("steelRod"				, "stickSteel");
		OreDictManager.INSTANCE.addReRegistration("bronzeRod"				, "stickBronze");
		OreDictManager.INSTANCE.addReRegistration("copperRod"				, "stickCopper");
		OreDictManager.INSTANCE.addReRegistration("flintRod"				, "stickFlint");
		OreDictManager.INSTANCE.addReRegistration("netherrackRod"			, "stickNetherrack");
		OreDictManager.INSTANCE.addReRegistration("alumiteRod"				, "stickAlumite");
		OreDictManager.INSTANCE.addReRegistration("thaumiumRod"				, "stickThaumium");
		OreDictManager.INSTANCE.addReRegistration("ironRod"					, "stickIron");
		OreDictManager.INSTANCE.addReRegistration("cobaltRod"				, "stickCobalt");
		OreDictManager.INSTANCE.addReRegistration("arditeRod"				, "stickArdite");
		OreDictManager.INSTANCE.addReRegistration("manyullynRod"			, "stickManyullyn");
		OreDictManager.INSTANCE.addReRegistration("ingotMercury"			, "quicksilver");
		OreDictManager.INSTANCE.addReRegistration("gemMercury"				, "quicksilver");
		OreDictManager.INSTANCE.addReRegistration("gemDiamond"				, "diamond");
		OreDictManager.INSTANCE.addReRegistration("gemCoalCoke"				, "fuelCoke");
		OreDictManager.INSTANCE.addReRegistration("gemCoalCoke"				, "coalCoke");
		OreDictManager.INSTANCE.addReRegistration("gemCoalCoke"				, "coke");
		OreDictManager.INSTANCE.addReRegistration("gemCoal"					, "coal");
		OreDictManager.INSTANCE.addReRegistration("gemCharcoal"				, "charcoal");
		OreDictManager.INSTANCE.addReRegistration("gemCertusQuartz"			, "itemCertusQuartz");
		OreDictManager.INSTANCE.addReRegistration("gemNetherQuartz"			, "itemNetherQuartz");
		OreDictManager.INSTANCE.addReRegistration("gemCertusQuartz"			, "craftingQuartz");
		OreDictManager.INSTANCE.addReRegistration("gemNetherQuartz"			, "craftingQuartz");
		OreDictManager.INSTANCE.addReRegistration("gemFluix"				, "craftingQuartz");
		OreDictManager.INSTANCE.addReRegistration("gemQuartz"				, "craftingQuartz");
		OreDictManager.INSTANCE.addReRegistration("gemQuartzite"			, "craftingQuartz");
		OreDictManager.INSTANCE.addReRegistration("gemLazurite"				, "dyeMixableCyan");
		OreDictManager.INSTANCE.addReRegistration("gemLapis"				, "dyeMixableBlue");
		OreDictManager.INSTANCE.addReRegistration("gemSodalite"				, "dyeMixableBlue");
		OreDictManager.INSTANCE.addReRegistration("dustLapis"				, "dyeMixableBlue");
		OreDictManager.INSTANCE.addReRegistration("dustSodalite"			, "dyeMixableBlue");
		OreDictManager.INSTANCE.addReRegistration("dustLazurite"			, "dyeMixableCyan");
		OreDictManager.INSTANCE.addReRegistration("dustSalt"				, "itemSalt");
		OreDictManager.INSTANCE.addReRegistration("dustSalt"				, "foodSalt");
		OreDictManager.INSTANCE.addReRegistration("dustWheat"				, "foodFlour");
		OreDictManager.INSTANCE.addReRegistration("dustBarley"				, "foodFlour");
		OreDictManager.INSTANCE.addReRegistration("dustRye"					, "foodFlour");
		OreDictManager.INSTANCE.addReRegistration("dustOat"					, "foodFlour");
		OreDictManager.INSTANCE.addReRegistration("dustRice"				, "foodFlour");
		OreDictManager.INSTANCE.addReRegistration("dustPotato"				, "foodFlour");
		OreDictManager.INSTANCE.addReRegistration("dustCorn"				, "foodCornmeal");
		OreDictManager.INSTANCE.addReRegistration("dustVanilla"				, "foodVanilla");
		OreDictManager.INSTANCE.addReRegistration("dustPepperBlack"			, "foodBlackpepper");
		OreDictManager.INSTANCE.addReRegistration("dustCocoa"				, "dyeMixableBrown");
		OreDictManager.INSTANCE.addReRegistration("dustCoffee"				, "dyeMixableBrown");
		OreDictManager.INSTANCE.addReRegistration("dustChocolate"			, "dyeMixableBrown");
		OreDictManager.INSTANCE.addReRegistration("dustBrownLimonite"		, "dyeMixableBrown");
		OreDictManager.INSTANCE.addReRegistration("dustYellowLimonite"		, "dyeMixableYellow");
		OreDictManager.INSTANCE.addReRegistration("dustBlack"				, "dyeMixableBlack");
		OreDictManager.INSTANCE.addReRegistration("dustRed"					, "dyeMixableRed");
		OreDictManager.INSTANCE.addReRegistration("dustGreen"				, "dyeMixableGreen");
		OreDictManager.INSTANCE.addReRegistration("dustBrown"				, "dyeMixableBrown");
		OreDictManager.INSTANCE.addReRegistration("dustBlue"				, "dyeMixableBlue");
		OreDictManager.INSTANCE.addReRegistration("dustPurple"				, "dyeMixablePurple");
		OreDictManager.INSTANCE.addReRegistration("dustCyan"				, "dyeMixableCyan");
		OreDictManager.INSTANCE.addReRegistration("dustLightGray"			, "dyeMixableLightGray");
		OreDictManager.INSTANCE.addReRegistration("dustGray"				, "dyeMixableGray");
		OreDictManager.INSTANCE.addReRegistration("dustPink"				, "dyeMixablePink");
		OreDictManager.INSTANCE.addReRegistration("dustLime"				, "dyeMixableLime");
		OreDictManager.INSTANCE.addReRegistration("dustYellow"				, "dyeMixableYellow");
		OreDictManager.INSTANCE.addReRegistration("dustLightBlue"			, "dyeMixableLightBlue");
		OreDictManager.INSTANCE.addReRegistration("dustMagenta"				, "dyeMixableMagenta");
		OreDictManager.INSTANCE.addReRegistration("dustOrange"				, "dyeMixableOrange");
		OreDictManager.INSTANCE.addReRegistration("dustWhite"				, "dyeMixableWhite");
		OreDictManager.INSTANCE.addReRegistration("dyeMixableBlack"			, "dyeBlack");
		OreDictManager.INSTANCE.addReRegistration("dyeMixableRed"			, "dyeRed");
		OreDictManager.INSTANCE.addReRegistration("dyeMixableGreen"			, "dyeGreen");
		OreDictManager.INSTANCE.addReRegistration("dyeMixableBrown"			, "dyeBrown");
		OreDictManager.INSTANCE.addReRegistration("dyeMixableBlue"			, "dyeBlue");
		OreDictManager.INSTANCE.addReRegistration("dyeMixablePurple"		, "dyePurple");
		OreDictManager.INSTANCE.addReRegistration("dyeMixableCyan"			, "dyeCyan");
		OreDictManager.INSTANCE.addReRegistration("dyeMixableLightGray"		, "dyeLightGray");
		OreDictManager.INSTANCE.addReRegistration("dyeMixableGray"			, "dyeGray");
		OreDictManager.INSTANCE.addReRegistration("dyeMixablePink"			, "dyePink");
		OreDictManager.INSTANCE.addReRegistration("dyeMixableLime"			, "dyeLime");
		OreDictManager.INSTANCE.addReRegistration("dyeMixableYellow"		, "dyeYellow");
		OreDictManager.INSTANCE.addReRegistration("dyeMixableLightBlue"		, "dyeLightBlue");
		OreDictManager.INSTANCE.addReRegistration("dyeMixableMagenta"		, "dyeMagenta");
		OreDictManager.INSTANCE.addReRegistration("dyeMixableOrange"		, "dyeOrange");
		OreDictManager.INSTANCE.addReRegistration("dyeMixableWhite"			, "dyeWhite");
		OreDictManager.INSTANCE.addReRegistration("dustAnyWax"				, "materialPressedwax");
		OreDictManager.INSTANCE.addReRegistration("cableGt01Tin"			, "craftingWireTin");
		OreDictManager.INSTANCE.addReRegistration("cableGt01AnyCopper"		, "craftingWireCopper");
		OreDictManager.INSTANCE.addReRegistration("cableGt01Gold"			, "craftingWireGold");
		OreDictManager.INSTANCE.addReRegistration("cableGt01AnyIron"		, "craftingWireIron");
		OreDictManager.INSTANCE.addReRegistration("plateSilicon"			, "itemSilicon");
		OreDictManager.INSTANCE.addReRegistration("plateWood"				, "plankWood");
		OreDictManager.INSTANCE.addReRegistration("lensGlass"				, "craftingLensWhite");
		OreDictManager.INSTANCE.addReRegistration("lensDiamond"				, "craftingLensWhite");
		OreDictManager.INSTANCE.addReRegistration("lensDilithium"			, "craftingLensWhite");
		OreDictManager.INSTANCE.addReRegistration("lensInfusedOrder"		, "craftingLensWhite");
		OreDictManager.INSTANCE.addReRegistration("lensEmerald"				, "craftingLensGreen");
		OreDictManager.INSTANCE.addReRegistration("lensInfusedEarth"		, "craftingLensGreen");
		OreDictManager.INSTANCE.addReRegistration("lensRuby"				, "craftingLensRed");
		OreDictManager.INSTANCE.addReRegistration("lensJasper"				, "craftingLensRed");
		OreDictManager.INSTANCE.addReRegistration("lensFoolsRuby"			, "craftingLensRed");
		OreDictManager.INSTANCE.addReRegistration("lensInfusedFire"			, "craftingLensRed");
		OreDictManager.INSTANCE.addReRegistration("lensSpessartine"			, "craftingLensRed");
		OreDictManager.INSTANCE.addReRegistration("lensAlmandine"			, "craftingLensRed");
		OreDictManager.INSTANCE.addReRegistration("lensSapphire"			, "craftingLensBlue");
		OreDictManager.INSTANCE.addReRegistration("lensOpal"				, "craftingLensBlue");
		OreDictManager.INSTANCE.addReRegistration("lensBlueTopaz"			, "craftingLensBlue");
		OreDictManager.INSTANCE.addReRegistration("lensInfusedWater"		, "craftingLensBlue");
		OreDictManager.INSTANCE.addReRegistration("lensAquamarine"			, "craftingLensLightBlue");
		OreDictManager.INSTANCE.addReRegistration("lensJade"				, "craftingLensCyan");
		OreDictManager.INSTANCE.addReRegistration("lensGreenSapphire"		, "craftingLensCyan");
		OreDictManager.INSTANCE.addReRegistration("lensOlivine"				, "craftingLensLime");
		OreDictManager.INSTANCE.addReRegistration("lensUvarovite"			, "craftingLensLime");
		OreDictManager.INSTANCE.addReRegistration("lensTopaz"				, "craftingLensOrange");
		OreDictManager.INSTANCE.addReRegistration("lensAmber"				, "craftingLensOrange");
		OreDictManager.INSTANCE.addReRegistration("lensGrossular"			, "craftingLensOrange");
		OreDictManager.INSTANCE.addReRegistration("lensCraponite"			, "craftingLensMagenta");
		OreDictManager.INSTANCE.addReRegistration("lensTanzanite"			, "craftingLensPurple");
		OreDictManager.INSTANCE.addReRegistration("lensPyrope"				, "craftingLensPurple");
		OreDictManager.INSTANCE.addReRegistration("lensAmethyst"			, "craftingLensPink");
		OreDictManager.INSTANCE.addReRegistration("lensMorganite"			, "craftingLensPink");
		OreDictManager.INSTANCE.addReRegistration("lensAndradite"			, "craftingLensYellow");
		OreDictManager.INSTANCE.addReRegistration("lensInfusedAir"			, "craftingLensYellow");
		OreDictManager.INSTANCE.addReRegistration("lensInfusedEntropy"		, "craftingLensBlack");
		OreDictManager.INSTANCE.addReRegistration("stickTin"				, "craftingToolSolderingMetal");
		OreDictManager.INSTANCE.addReRegistration("stickLead"				, "craftingToolSolderingMetal");
		OreDictManager.INSTANCE.addReRegistration("stickSolderingAlloy"		, "craftingToolSolderingMetal");
		OreDictManager.INSTANCE.addReRegistration("ingotAnyIron"			, "craftingPistonIngot");
		OreDictManager.INSTANCE.addReRegistration("ingotAnySteel"			, "craftingPistonIngot");
		OreDictManager.INSTANCE.addReRegistration("ingotAnyBronze"			, "craftingPistonIngot");
		OreDictManager.INSTANCE.addReRegistration("ingotAlumite"			, "craftingPistonIngot");
		OreDictManager.INSTANCE.addReRegistration("ingotAluminium"			, "craftingPistonIngot");
		OreDictManager.INSTANCE.addReRegistration("ingotAluminiumAlloy"		, "craftingPistonIngot");
		OreDictManager.INSTANCE.addReRegistration("ingotNickel"				, "craftingPistonIngot");
		OreDictManager.INSTANCE.addReRegistration("ingotInvar"				, "craftingPistonIngot");
		OreDictManager.INSTANCE.addReRegistration("ingotTitanium"			, "craftingPistonIngot");
		OreDictManager.INSTANCE.addReRegistration("ingotTungsten"			, "craftingPistonIngot");
		OreDictManager.INSTANCE.addReRegistration("ingotThaumium"			, "craftingPistonIngot");
		OreDictManager.INSTANCE.addReRegistration("ingotVoidMetal"			, "craftingPistonIngot");
		OreDictManager.INSTANCE.addReRegistration("ingotHSLASpringSteel"	, "craftingPistonIngot");
		OreDictManager.INSTANCE.addReRegistration("ingotIronWood"			, "craftingPistonIngot");
		OreDictManager.INSTANCE.addReRegistration("ingotMagnalium"			, "craftingPistonIngot");
		OreDictManager.INSTANCE.addReRegistration("ingotUltimet"			, "craftingPistonIngot");
		OreDictManager.INSTANCE.addReRegistration("ingotManasteel"			, "craftingPistonIngot");
		OreDictManager.INSTANCE.addReRegistration("ingotTerrasteel"			, "craftingPistonIngot");
		OreDictManager.INSTANCE.addReRegistration("ingotDuranium"			, "craftingPistonIngot");
		OreDictManager.INSTANCE.addReRegistration("ingotTritanium"			, "craftingPistonIngot");
		OreDictManager.INSTANCE.addReRegistration("stoneBowl"				, "bowlStone");
		OreDictManager.INSTANCE.addReRegistration("stoneRod"				, "stickStone");
		OreDictManager.INSTANCE.addReRegistration("plantGtBlossomTea"		, "cropTea");
		OreDictManager.INSTANCE.addReRegistration("plantGtBlossomMint"		, "cropMint");
		OreDictManager.INSTANCE.addReRegistration("plantGtBlossomIndigo"	, "cropIndigo");
		OreDictManager.INSTANCE.addReRegistration("listAllhydracooked"		, "listAllmeatcooked");
		OreDictManager.INSTANCE.addReRegistration("listAllhydraraw"			, "listAllmeatraw");
		OreDictManager.INSTANCE.addReRegistration("listAllbeefcooked"		, "listAllmeatcooked");
		OreDictManager.INSTANCE.addReRegistration("listAllbeefraw"			, "listAllmeatraw");
		OreDictManager.INSTANCE.addReRegistration("listAllchickencooked"	, "listAllmeatcooked");
		OreDictManager.INSTANCE.addReRegistration("listAllchickenraw"		, "listAllmeatraw");
		OreDictManager.INSTANCE.addReRegistration("listAllfishcooked"		, "listAllmeatcooked");
		OreDictManager.INSTANCE.addReRegistration("listAllfishraw"			, "listAllmeatraw");
		OreDictManager.INSTANCE.addReRegistration("listAllmuttoncooked"		, "listAllmeatcooked");
		OreDictManager.INSTANCE.addReRegistration("listAllmuttonraw"		, "listAllmeatraw");
		OreDictManager.INSTANCE.addReRegistration("listAllporkcooked"		, "listAllmeatcooked");
		OreDictManager.INSTANCE.addReRegistration("listAllporkraw"			, "listAllmeatraw");
		OreDictManager.INSTANCE.addReRegistration("listAllrabbitcooked"		, "listAllmeatcooked");
		OreDictManager.INSTANCE.addReRegistration("listAllrabbitraw"		, "listAllmeatraw");
		OreDictManager.INSTANCE.addReRegistration("listAllturkeycooked"		, "listAllmeatcooked");
		OreDictManager.INSTANCE.addReRegistration("listAllturkeyraw"		, "listAllmeatraw");
		OreDictManager.INSTANCE.addReRegistration("listAllvenisoncooked"	, "listAllmeatcooked");
		OreDictManager.INSTANCE.addReRegistration("listAllvenisonraw"		, "listAllmeatraw");
		OreDictManager.INSTANCE.addReRegistration("ingotSoylentGreen"		, "listAllbeefcooked");
		OreDictManager.INSTANCE.addReRegistration("ingotSoylentGreen"		, "listAllbeefraw");
		OreDictManager.INSTANCE.addReRegistration("ingotSoylentGreen"		, "listAllchickencooked");
		OreDictManager.INSTANCE.addReRegistration("ingotSoylentGreen"		, "listAllchickenraw");
		OreDictManager.INSTANCE.addReRegistration("ingotSoylentGreen"		, "listAllfishcooked");
		OreDictManager.INSTANCE.addReRegistration("ingotSoylentGreen"		, "listAllfishraw");
		OreDictManager.INSTANCE.addReRegistration("ingotSoylentGreen"		, "listAllmuttoncooked");
		OreDictManager.INSTANCE.addReRegistration("ingotSoylentGreen"		, "listAllmuttonraw");
		OreDictManager.INSTANCE.addReRegistration("ingotSoylentGreen"		, "listAllporkcooked");
		OreDictManager.INSTANCE.addReRegistration("ingotSoylentGreen"		, "listAllporkraw");
		OreDictManager.INSTANCE.addReRegistration("ingotSoylentGreen"		, "listAllrabbitcooked");
		OreDictManager.INSTANCE.addReRegistration("ingotSoylentGreen"		, "listAllrabbitraw");
		OreDictManager.INSTANCE.addReRegistration("ingotSoylentGreen"		, "listAllturkeycooked");
		OreDictManager.INSTANCE.addReRegistration("ingotSoylentGreen"		, "listAllturkeyraw");
		OreDictManager.INSTANCE.addReRegistration("ingotSoylentGreen"		, "listAllvenisoncooked");
		OreDictManager.INSTANCE.addReRegistration("ingotSoylentGreen"		, "listAllvenisonraw");
		OreDictManager.INSTANCE.addReRegistration("ingotTofu"				, "listAllbeefcooked");
		OreDictManager.INSTANCE.addReRegistration("ingotTofu"				, "listAllbeefraw");
		OreDictManager.INSTANCE.addReRegistration("ingotTofu"				, "listAllchickencooked");
		OreDictManager.INSTANCE.addReRegistration("ingotTofu"				, "listAllchickenraw");
		OreDictManager.INSTANCE.addReRegistration("ingotTofu"				, "listAllfishcooked");
		OreDictManager.INSTANCE.addReRegistration("ingotTofu"				, "listAllfishraw");
		OreDictManager.INSTANCE.addReRegistration("ingotTofu"				, "listAllmuttoncooked");
		OreDictManager.INSTANCE.addReRegistration("ingotTofu"				, "listAllmuttonraw");
		OreDictManager.INSTANCE.addReRegistration("ingotTofu"				, "listAllporkcooked");
		OreDictManager.INSTANCE.addReRegistration("ingotTofu"				, "listAllporkraw");
		OreDictManager.INSTANCE.addReRegistration("ingotTofu"				, "listAllrabbitcooked");
		OreDictManager.INSTANCE.addReRegistration("ingotTofu"				, "listAllrabbitraw");
		OreDictManager.INSTANCE.addReRegistration("ingotTofu"				, "listAllturkeycooked");
		OreDictManager.INSTANCE.addReRegistration("ingotTofu"				, "listAllturkeyraw");
		OreDictManager.INSTANCE.addReRegistration("ingotTofu"				, "listAllvenisoncooked");
		OreDictManager.INSTANCE.addReRegistration("ingotTofu"				, "listAllvenisonraw");
		OreDictManager.INSTANCE.addReRegistration("ingotMeatCooked"			, "listAllmeatcooked");
		OreDictManager.INSTANCE.addReRegistration("ingotMeatRaw"			, "listAllmeatraw");
		OreDictManager.INSTANCE.addReRegistration("dustMeatCooked"			, "listAllmeatcooked");
		OreDictManager.INSTANCE.addReRegistration("dustMeatRaw"				, "listAllmeatraw");
		OreDictManager.INSTANCE.addReRegistration("dustSoylentGreen"		, "listAllegg");
		OreDictManager.INSTANCE.addReRegistration("dustTofu"				, "listAllegg");
		OreDictManager.INSTANCE.addReRegistration("itemEgg"					, "listAllegg");
		OreDictManager.INSTANCE.addReRegistration("foodOliveoil"			, "listAllcookingoil");
		OreDictManager.INSTANCE.addReRegistration("foodSunfloweroil"		, "listAllcookingoil");
		OreDictManager.INSTANCE.addReRegistration("foodNutoil"				, "listAllcookingoil");
		OreDictManager.INSTANCE.addReRegistration("listAllsugar"			, "honeyEqualssugar");
		OreDictManager.INSTANCE.addReRegistration("foodHoneydrop"			, "honeyEqualssugar");
		OreDictManager.INSTANCE.addReRegistration("foodFlour"				, "flourEqualswheat");
		OreDictManager.INSTANCE.addReRegistration("cropWheat"				, "flourEqualswheat");
		OreDictManager.INSTANCE.addReRegistration("ingotCheese"				, "foodCheese");
		OreDictManager.INSTANCE.addReRegistration("dropHoney"				, "foodHoneydrop");
		OreDictManager.INSTANCE.addReRegistration("bottleHoney"				, "foodHoneydrop");
		OreDictManager.INSTANCE.addReRegistration("bottleOliveOil"			, "foodOliveoil");
		OreDictManager.INSTANCE.addReRegistration("bottleSunflowerOil"		, "foodSunfloweroil");
		OreDictManager.INSTANCE.addReRegistration("bottleNutOil"			, "foodNutoil");
		OreDictManager.INSTANCE.addReRegistration("dustSugar"				, "listAllsugar");
		OreDictManager.INSTANCE.addReRegistration("foodHoneydrop"			, "listAllsugar");
		OreDictManager.INSTANCE.addReRegistration("bottleMilk"				, "listAllmilk");
		OreDictManager.INSTANCE.addReRegistration("bottleSoymilk"			, "listAllmilk");
		OreDictManager.INSTANCE.addReRegistration("bottleSoyMilk"			, "listAllmilk");
		OreDictManager.INSTANCE.addReRegistration("foodSoymilk"				, "listAllmilk");
		OreDictManager.INSTANCE.addReRegistration("bucketWater"				, "listAllwater");
		OreDictManager.INSTANCE.addReRegistration("foodAnanasjuice"			, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodApplejuice"			, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodApricotjuice"		, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodBananajuice"			, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodBlackberryjuice"		, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodBlueberryjuice"		, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodCactusfruitjuice"	, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodCantaloupejuice"		, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodCarrotjuice"			, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodCherryjuice"			, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodCranberryjuice"		, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodDatejuice"			, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodDragonfruitjuice"	, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodFigjuice"			, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodGrapejuice"			, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodGrapefruitjuice"		, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodKiwijuice"			, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodLemonjuice"			, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodLemonade"			, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodLimejuice"			, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodMangojuice"			, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodMelonjuice"			, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodOrangejuice"			, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodPapayajuice"			, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodPeachjuice"			, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodPearjuice"			, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodPersimmonjuice"		, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodPineapplejuice"		, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodPlumjuice"			, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodPomegranatejuice"	, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodRaspberryjuice"		, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodStrawberryjuice"		, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("foodStarfruitjuice"		, "listAlljuice");
		OreDictManager.INSTANCE.addReRegistration("cropAnanas"				, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropApple"				, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropApricot"				, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropBanana"				, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropBlackberry"			, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropBlueberry"			, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropCactusfruit"			, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropCantaloupe"			, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropCherry"				, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropCranberry"			, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropDate"				, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropDragonfruit"			, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropFig"					, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropGrape"				, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropGrapefruit"			, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropKiwi"				, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropLemon"				, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropLime"				, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropMango"				, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropMelon"				, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropOrange"				, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropPapaya"				, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropPeach"				, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropPear"				, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropPersimmon"			, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropPineapple"			, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropPlum"				, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropPomegranate"			, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropRaspberry"			, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropStrawberry"			, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropStarfruit"			, "listAllfruit");
		OreDictManager.INSTANCE.addReRegistration("cropBlackberry"			, "listAllberry");
		OreDictManager.INSTANCE.addReRegistration("cropBlueberry"			, "listAllberry");
		OreDictManager.INSTANCE.addReRegistration("cropCranberry"			, "listAllberry");
		OreDictManager.INSTANCE.addReRegistration("cropRaspberry"			, "listAllberry");
		OreDictManager.INSTANCE.addReRegistration("cropStrawberry"			, "listAllberry");
		OreDictManager.INSTANCE.addReRegistration("cropGrapefruit"			, "listAllcitrus");
		OreDictManager.INSTANCE.addReRegistration("cropLemon"				, "listAllcitrus");
		OreDictManager.INSTANCE.addReRegistration("cropLime"				, "listAllcitrus");
		OreDictManager.INSTANCE.addReRegistration("cropOrange"				, "listAllcitrus");
		OreDictManager.INSTANCE.addReRegistration("cropAsparagus"			, "listAllgreenveggie");
		OreDictManager.INSTANCE.addReRegistration("cropSpinach"				, "listAllgreenveggie");
		OreDictManager.INSTANCE.addReRegistration("cropBroccoli"			, "listAllgreenveggie");
		OreDictManager.INSTANCE.addReRegistration("cropCelery"				, "listAllgreenveggie");
		OreDictManager.INSTANCE.addReRegistration("cropLettuce"				, "listAllgreenveggie");
		OreDictManager.INSTANCE.addReRegistration("cropSpiceleaf"			, "listAllgreenveggie");
		OreDictManager.INSTANCE.addReRegistration("cropArtichoke"			, "listAllgreenveggie");
		OreDictManager.INSTANCE.addReRegistration("cropBrusselsprout"		, "listAllgreenveggie");
		OreDictManager.INSTANCE.addReRegistration("cropCabbage"				, "listAllgreenveggie");
		OreDictManager.INSTANCE.addReRegistration("cropCucumber"			, "listAllgreenveggie");
		OreDictManager.INSTANCE.addReRegistration("cropOkra"				, "listAllgreenveggie");
		OreDictManager.INSTANCE.addReRegistration("cropPeas"				, "listAllgreenveggie");
		OreDictManager.INSTANCE.addReRegistration("cropSeaweed"				, "listAllgreenveggie");
		OreDictManager.INSTANCE.addReRegistration("cropZucchini"			, "listAllgreenveggie");
		OreDictManager.INSTANCE.addReRegistration("cropParsnip"				, "listAllrootveggie");
		OreDictManager.INSTANCE.addReRegistration("cropRadish"				, "listAllrootveggie");
		OreDictManager.INSTANCE.addReRegistration("cropRutabaga"			, "listAllrootveggie");
		OreDictManager.INSTANCE.addReRegistration("cropSweetpotato"			, "listAllrootveggie");
		OreDictManager.INSTANCE.addReRegistration("cropTurnip"				, "listAllrootveggie");
		OreDictManager.INSTANCE.addReRegistration("cropWhitemushroom"		, "listAllmushroom");
		OreDictManager.INSTANCE.addReRegistration("cropBellpepper"			, "listAllpepper");
		OreDictManager.INSTANCE.addReRegistration("cropChilipepper"			, "listAllpepper");
		OreDictManager.INSTANCE.addReRegistration("cropAsparagus"			, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropSpinach"				, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropBroccoli"			, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropCelery"				, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropLettuce"				, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropSpiceleaf"			, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropArtichoke"			, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropBrusselsprout"		, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropCabbage"				, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropCucumber"			, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropOkra"				, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropPeas"				, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropSeaweed"				, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropZucchini"			, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropCarrot"				, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropPotato"				, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropPumpkin"				, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropBean"				, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropBeet"				, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropCauliflower"			, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropLeek"				, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropOnion"				, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropParsnip"				, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropRadish"				, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropRutabaga"			, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropScallion"			, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropSoybean"				, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropSweetpotato"			, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropTurnip"				, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropWhitemushroom"		, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropBellpepper"			, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropCorn"				, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropEggplant"			, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropRhubarb"				, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropTomato"				, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropWintersquash"		, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropBambooshoot"			, "listAllveggie");
		OreDictManager.INSTANCE.addReRegistration("cropWheat"				, "listAllgrain");
		OreDictManager.INSTANCE.addReRegistration("cropBarley"				, "listAllgrain");
		OreDictManager.INSTANCE.addReRegistration("cropOats"				, "listAllgrain");
		OreDictManager.INSTANCE.addReRegistration("cropRye"					, "listAllgrain");
		OreDictManager.INSTANCE.addReRegistration("dustWheat"				, "listAllgrain");
		OreDictManager.INSTANCE.addReRegistration("dustBarley"				, "listAllgrain");
		OreDictManager.INSTANCE.addReRegistration("dustOats"				, "listAllgrain");
		OreDictManager.INSTANCE.addReRegistration("dustRye"					, "listAllgrain");
		OreDictManager.INSTANCE.addReRegistration("cropSpiceleaf"			, "listAllspice");
		OreDictManager.INSTANCE.addReRegistration("cropMustard"				, "listAllspice");
		OreDictManager.INSTANCE.addReRegistration("cropGinger"				, "listAllspice");
		OreDictManager.INSTANCE.addReRegistration("cropGarlic"				, "listAllherb");
		OreDictManager.INSTANCE.addReRegistration("cropPecan"				, "listAllnut");
		OreDictManager.INSTANCE.addReRegistration("cropPeanut"				, "listAllnut");
		OreDictManager.INSTANCE.addReRegistration("cropWalnut"				, "listAllnut");
		OreDictManager.INSTANCE.addReRegistration("cropAlmond"				, "listAllnut");
		OreDictManager.INSTANCE.addReRegistration("cropCashew"				, "listAllnut");
		OreDictManager.INSTANCE.addReRegistration("cropChestnut"			, "listAllnut");
		OreDictManager.INSTANCE.addReRegistration("cropPistachio"			, "listAllnut");
		OreDictManager.INSTANCE.addReRegistration("cropNutmeg"				, "listAllnut");
		
		OreDictManager.INSTANCE.setAutomaticItemData("chipsetRed"		, new OreDictItemData(MT.Redstone, U));
		OreDictManager.INSTANCE.setAutomaticItemData("chipsetIron"		, new OreDictItemData(MT.Redstone, U, MT.TECH.AnyIron, U));
		OreDictManager.INSTANCE.setAutomaticItemData("chipsetGold"		, new OreDictItemData(MT.Redstone, U, MT.Au, U));
		OreDictManager.INSTANCE.setAutomaticItemData("chipsetDiamond"	, new OreDictItemData(MT.Redstone, U, MT.Diamond, U));
		OreDictManager.INSTANCE.setAutomaticItemData("chipsetPulsating"	, new OreDictItemData(MT.Redstone, U/2, MT.EnderPearl, U/2));
		OreDictManager.INSTANCE.setAutomaticItemData("chipsetQuartz"	, new OreDictItemData(MT.Redstone, U, MT.NetherQuartz, U));
		OreDictManager.INSTANCE.setAutomaticItemData("chipsetComp"		, new OreDictItemData(MT.Redstone, U*4));
		OreDictManager.INSTANCE.setAutomaticItemData("chipsetEmerald"	, new OreDictItemData(MT.Redstone, U, MT.Emerald, U));
		OreDictManager.INSTANCE.setAutomaticItemData("ForciciumItem", new OreDictItemData(MT.Forcicium, U));
		OreDictManager.INSTANCE.setAutomaticItemData("itemFlint", new OreDictItemData(MT.Flint, U / 2));
		OreDictManager.INSTANCE.setAutomaticItemData("flint", new OreDictItemData(MT.Flint, U / 2));
		OreDictManager.INSTANCE.setAutomaticItemData("itemLeather", new OreDictItemData(MT.Leather, 1*U));
		OreDictManager.INSTANCE.setAutomaticItemData("leather", new OreDictItemData(MT.Leather, 1*U));
		OreDictManager.INSTANCE.setAutomaticItemData("bone", new OreDictItemData(MT.Bone, 3*U));
		OreDictManager.INSTANCE.setAutomaticItemData("hambone", new OreDictItemData(MT.MeatRaw, U));
		OreDictManager.INSTANCE.setAutomaticItemData("livingRoot", new OreDictItemData(MT.LiveRoot, U));
		OreDictManager.INSTANCE.setAutomaticItemData("silicon", new OreDictItemData(MT.Si, U));
		OreDictManager.INSTANCE.setAutomaticItemData("cropCinnamon", new OreDictItemData(MT.Cinnamon, U));
		OreDictManager.INSTANCE.setAutomaticItemData("cropNutmeg", new OreDictItemData(MT.Nutmeg, U));
		OreDictManager.INSTANCE.setAutomaticItemData("cropCoffee", new OreDictItemData(MT.Coffee, U));
		OreDictManager.INSTANCE.setAutomaticItemData("cropChilipepper", new OreDictItemData(MT.Chili, U));
		OreDictManager.INSTANCE.setAutomaticItemData("cropCocoa", new OreDictItemData(MT.Cocoa, U));
		OreDictManager.INSTANCE.setAutomaticItemData("cropWheat", new OreDictItemData(MT.Wheat, U));
		OreDictManager.INSTANCE.setAutomaticItemData("cropPotato", new OreDictItemData(MT.Potato, U));
		OreDictManager.INSTANCE.setAutomaticItemData("cropRye", new OreDictItemData(MT.Rye, U));
		OreDictManager.INSTANCE.setAutomaticItemData("cropBarley", new OreDictItemData(MT.Barley, U));
		OreDictManager.INSTANCE.setAutomaticItemData("cropOats", new OreDictItemData(MT.Oat, U));
		OreDictManager.INSTANCE.setAutomaticItemData("cropOat", new OreDictItemData(MT.Oat, U));
		OreDictManager.INSTANCE.setAutomaticItemData("cropRice", new OreDictItemData(MT.Rice, U));
		OreDictManager.INSTANCE.setAutomaticItemData("cropCorn", new OreDictItemData(MT.Corn, U));
		OreDictManager.INSTANCE.setAutomaticItemData("cropTea", new OreDictItemData(MT.Tea, U/9));
		OreDictManager.INSTANCE.setAutomaticItemData("foodVanilla", new OreDictItemData(MT.Vanilla, U));
		OreDictManager.INSTANCE.setAutomaticItemData("foodChocolatebar", new OreDictItemData(MT.Chocolate, U));
		OreDictManager.INSTANCE.setAutomaticItemData("cropPeppercorn", new OreDictItemData(MT.PepperBlack, U));
		OreDictManager.INSTANCE.setAutomaticItemData("foodBlackpepper", new OreDictItemData(MT.PepperBlack, U));
		OreDictManager.INSTANCE.setAutomaticItemData("foodCheese", new OreDictItemData(MT.Cheese, U));
		OreDictManager.INSTANCE.setAutomaticItemData("fuelCoke", new OreDictItemData(MT.CoalCoke, U));
		OreDictManager.INSTANCE.setAutomaticItemData("coalCoke", new OreDictItemData(MT.CoalCoke, U));
		OreDictManager.INSTANCE.setAutomaticItemData("coke", new OreDictItemData(MT.CoalCoke, U));
		OreDictManager.INSTANCE.setAutomaticItemData("crystalCinnabar", new OreDictItemData(MT.OREMATS.Cinnabar, U));
		OreDictManager.INSTANCE.setAutomaticItemData("plankWood", new OreDictItemData(MT.Wood, U));
		OreDictManager.INSTANCE.setAutomaticItemData("slabWood", new OreDictItemData(MT.Wood, U/2));
		OreDictManager.INSTANCE.setAutomaticItemData("stairWood", new OreDictItemData(MT.Wood, 3*U/2));
		OreDictManager.INSTANCE.setAutomaticItemData("logWood", new OreDictItemData(MT.Wood, U*8));
		OreDictManager.INSTANCE.setAutomaticItemData("logRubber", new OreDictItemData(MT.WoodRubber, U*8));
		OreDictManager.INSTANCE.setAutomaticItemData("craftingChest", new OreDictItemData(MT.Wood, U * 8));
		OreDictManager.INSTANCE.setAutomaticItemData("craftingPiston", new OreDictItemData(MT.Stone, U * 4, MT.Wood, U * 3));
		OreDictManager.INSTANCE.setAutomaticItemData("craftingFurnace", new OreDictItemData(MT.Stone, U * 8));
		OreDictManager.INSTANCE.setAutomaticItemData("craftingAnvil", new OreDictItemData(MT.Fe, U * 10));
		OreDictManager.INSTANCE.setAutomaticItemData("craftingHardenedClay", new OreDictItemData(MT.Clay, U));
		OreDictManager.INSTANCE.setAutomaticItemData("craftingRedstoneTorch", new OreDictItemData(MT.Redstone, U, MT.Wood, U / 2));
		
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Endstone				).toString(), new OreDictItemData(MT.Endstone				, U, OM.stack(MT.Pt		, U / 512), OM.stack(MT.W	, U / 512)));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Netherrack				).toString(), new OreDictItemData(MT.Netherrack				, U, OM.stack(MT.Au		, U / 256)));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.NetherBrick			).toString(), new OreDictItemData(MT.NetherBrick			, U, OM.stack(MT.Au		, U / 512)));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Sand					).toString(), new OreDictItemData(MT.Sand					, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Bedrock				).toString(), new OreDictItemData(MT.Bedrock				, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.GraniteBlack			).toString(), new OreDictItemData(MT.GraniteBlack			, U, OM.stack(MT.Th		, U / 256)));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.GraniteRed				).toString(), new OreDictItemData(MT.GraniteRed				, U, OM.stack(MT.U_238	, U / 512), OM.stack(MT.Th	, U / 512)));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Obsidian				).toString(), new OreDictItemData(MT.Obsidian				, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Flint					).toString(), new OreDictItemData(MT.Flint					, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Concrete				).toString(), new OreDictItemData(MT.Concrete				, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Redrock				).toString(), new OreDictItemData(MT.Redrock				, U, OM.stack(MT.Clay	, U / 9)));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Shale					).toString(), new OreDictItemData(MT.Shale					, U, OM.stack(MT.Clay	, U / 9)));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Dolomite				).toString(), new OreDictItemData(MT.Dolomite				, U, OM.stack(MT.Bone	, U / 9)));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Basalt					).toString(), new OreDictItemData(MT.Basalt					, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Marble					).toString(), new OreDictItemData(MT.Marble					, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Quartzite				).toString(), new OreDictItemData(MT.Quartzite				, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Limestone				).toString(), new OreDictItemData(MT.Limestone				, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Calcite				).toString(), new OreDictItemData(MT.Calcite				, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Rhyolite				).toString(), new OreDictItemData(MT.Rhyolite				, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Andesite				).toString(), new OreDictItemData(MT.Andesite				, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Gabbro					).toString(), new OreDictItemData(MT.Gabbro					, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Komatiite				).toString(), new OreDictItemData(MT.Komatiite				, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Dacite					).toString(), new OreDictItemData(MT.Dacite					, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Gneiss					).toString(), new OreDictItemData(MT.Gneiss					, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Eclogite				).toString(), new OreDictItemData(MT.Eclogite				, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Blueschist				).toString(), new OreDictItemData(MT.Blueschist				, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Greenschist			).toString(), new OreDictItemData(MT.Greenschist			, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Soapstone				).toString(), new OreDictItemData(MT.Soapstone				, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Migmatite				).toString(), new OreDictItemData(MT.Migmatite				, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Chalk					).toString(), new OreDictItemData(MT.Chalk					, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Siltstone				).toString(), new OreDictItemData(MT.Siltstone				, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Lignite				).toString(), new OreDictItemData(MT.Lignite				, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Greywacke				).toString(), new OreDictItemData(MT.Greywacke				, U));
		OreDictManager.INSTANCE.setAutomaticItemData(OP.stone.dat(MT.Chert					).toString(), new OreDictItemData(MT.Chert					, U));
	}
}